using Serilog;
using VisionBuilder.UI.IOCommander.Interfaces;

namespace VisionBuilder.UI.IOCommander;

public class NoDebugView: IIOCommanderDebugViewService
{
    public void SetInputPinStatus(int pin, bool state)
    {
        throw new NotImplementedException();
    }

    public void SetOutputPinStatus(int pin, bool state)
    {
        throw new NotImplementedException();
    }

    public void ShowDebugView()
    {
        Log.Warning("Debug view is not available.");
    }
}